EDIT - feature request #7102

Enable EDIT and DELETE for specimen determinations
12/01/2017 04:07 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

Related issues:
Copied to EDIT - bug #7418: remaining specimen determination details view issues Closed

Associated revisions

Revision 05945338 - 12/01/2017 04:47 PM - Patrick Plitzner
fix #7102 Enable EDIT and DELETE for specimen determinations

Revision 4654a246 - 03/02/2018 11:06 AM - Patrick Plitzner

ref #7102 Fix delete behavior for taxon and taxon name

Revision 3dc6890f - 03/02/2018 11:06 AM - Patrick Plitzner
ref #7102 Enable wizard for taxa editing

Revision 6fca42dd - 05/09/2018 12:25 PM - Patrick Plitzner

ref #7102 Avoid deleting taxon name when deleting taxon

History

#1 - 12/01/2017 04:47 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|0594533897ccd7e0709aeff830424f5ec29479c5.

#2 - 12/01/2017 04:48 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#3 - 01/30/2018 11:57 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

Delete on taxon gave an NPE

login : admin
editor version : 4.13.0.201801292346
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 4.7.0.0.201710040000
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.NullPointerException
at eu.etaxonomy.taxeditor.ui.section.occurrence.DeterminationEventDetailElement.handleEvent (DeterminationE
ventDetailElement. java:122)
at eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement.propertyChange (AbstractEntityCollecti
onElement. java:160)
at eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement.firePropertyChangeEvent (AbstractCdmFormElement
.Java:234)
at eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElements$DeletelListener.widgetSelected (EntitySelectio
nElement. java:420)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)

at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main.java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

#4 - 01/30/2018 11:59 AM - Andreas Miiller
- File picture936-1.png added

EDIT for taxa gives a strange message (see screenshot)

#5 - 01/30/2018 12:01 PM - Andreas Miller

Deleting the name should also delete the taxon
#6 - 01/30/2018 12:12 PM - Andreas Miiller
Andreas Muller wrote:

Deleting the name should also delete the taxon

This sometimes works immediately but after saving, clicking on another record and going back to the record the taxon is there again.
After full reload even the name is there again because it is reloaded by the CdmPreDataChangeListener.

#7 - 02/16/2018 12:50 PM - Patrick Plitzner

- Target version changed from Release 4.12 to Release 5.0

move this forgotten issue to current milestone

#8 - 03/02/2018 11:07 AM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 50 to 70

#9 - 04/27/2018 11:33 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

Andreas Muller wrote:

Andreas Muller wrote:
Deleting the name should also delete the taxon

This sometimes works immediately but after saving, clicking on another record and going back to the record the taxon is there again.
After full reload even the name is there again because it is reloaded by the CdmPreDataChangeListener.
This problem still exists.
Also when deleting the taxon the name is also deleted. This is not wanted. Only when deleting the name the taxon should be automatically deleted.

Note: saving here usually does not lead to a disabled save symbol after save. Maybe this can be fixed also
Note2: if there is a longer result list(tree) saving leads to a scroll down which unexpected

#10 - 05/09/2018 12:27 PM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 70 to 80

Can you please check again if the issues last mentioned still exist. | fixed the unintended deletion of the taxon name but | could not reproduce the
other issues.
And what view is scrolled when saving?

#11 - 05/15/2018 11:30 AM - Andreas Miiller
- File picture126-1.png added
Patrick Plitzner wrote:

And what view is scrolled when saving?

The specimen tree editor view, see attachement.
#12 - 05/15/2018 11:39 AM - Andreas Miiller
Patrick Plitzner wrote:
Can you please check again if the issues last mentioned still exist. | fixed the unintended deletion of the taxon name but | could not reproduce

the other issues.

| also could not reproduce anymore.

#13 - 05/15/2018 11:43 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

One more related issue: when adding a taxon or name, the according text fields do not change their size but stay in single line mode. Usually for
taxon representation but also for names we need 2 or more lines. It only changes size if resizing e.g. the width of the details view or by resellecting
the specimen.

So this and the scrolling issue are remaining from this ticket. Feel free to open new ticket(s) if necessary.
s Specimen-Editor (Baum) 3 = O

Taxon IEI Taxonbestimmung |J'-‘\||E v|

Titlecache | B* | Derivat-Typ |Unknawn unit type V| | Suche|

4 ‘-}3;. Testing "
4 l-g‘?% 3" trnkK intron
_.'.,.'I, debf7772-47ab-4ddc-9cBf-1cc00daabe3dd
4 % Slovakia (Slovak Republic), Drienovecka ploging;/Drienovecka planina/

o Dataflos 300524

4 3 Slovakia (Slovak Republic), Hérka; svah nad cintorinom v Primovciach, exp. 55V, Kochjara
wa Dataflos 213160

4 3 Slovakia (Slovak Republic), Kovécovské kopce
o Dataflos 300521

4 % Slovakia (Slovak Republic), Medzi Spigskou Sobotou a Spisskou Novou Vsou, pri Pri
4 wi Dataflos 207365
2 32eal05b-c082-4304-0e7a-20f3ad50d4df
2 8d4caTf-f2fa-49b0-0a30-696de826c3b2
4 3 Slovakia (Slovak Republic), Skala; vrcholové plogina, hibéia pada
wa Dataflos 117505
4 3 Slovakia (Slovak Republic), V obce /Lapé teleje/

#14 - 05/15/2018 12:03 PM - Patrick Plitzner
- Related to bug #7418: remaining specimen determination details view issues added

#15 - 05/15/2018 12:03 PM - Patrick Plitzner

- Related to deleted (bug #7418: remaining specimen determination details view issues)

#16 - 05/15/2018 12:03 PM - Patrick Plitzner

- Copied to bug #7418: remaining specimen determination details view issues added

#17 - 05/15/2018 12:04 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

Files

picture936-1.png 14.9 KB 01/30/2018
picture126-1.png 29.7 KB 05/15/2018
